|
PingAccess Agent SDK for C
|
#include <paa-http-client.h>
Public Attributes | |
| void * | impl |
| apr_status_t(* | add_request_header )(const paa_http_request *req, const char *name, const char *value) |
| apr_status_t(* | set_request_uri )(const paa_http_request *req, const char *uri) |
| apr_status_t(* | set_request_method )(const paa_http_request *req, const char *method) |
| apr_status_t(* | set_include_client_request_body )(const paa_http_request *req, int include_body) |
The HTTP request structure. This structure is used to create the HTTP request to be sent to PingAccess to obtain a policy decision.
| apr_status_t(* paa_http_request_struct::add_request_header) (const paa_http_request *req, const char *name, const char *value) |
Adds a distinct header to the request. Implementations do not need to worry about combining multiple headers of the same name.
| req | the request handle |
| name | the name |
| value | the value (must not be NULL) |
| void* paa_http_request_struct::impl |
opaque implementation handle
| apr_status_t(* paa_http_request_struct::set_include_client_request_body) (const paa_http_request *req, int include_body) |
Sets whether the body from the client request should be included with the request
| req | the request handle |
| include_body | non-zero if the request body should be included. Zero if the body should not be sent |
| apr_status_t(* paa_http_request_struct::set_request_method) (const paa_http_request *req, const char *method) |
Sets the method of the request
| req | the request handle |
| method | the request method |
| apr_status_t(* paa_http_request_struct::set_request_uri) (const paa_http_request *req, const char *uri) |
Sets the raw request URI
| req | the request handle |
| uri | the uri |
1.8.11